from commitizen.cz.conventional_commits import ConventionalCommitsCz


class ConventialJiraCz(ConventionalCommitsCz):
    def questions(self) -> list:
        base_questions = super().questions()
        return base_questions + [
            {"type": "input", "name": "issue", "message": "Jira Issue number:"}
        ]

    def message(self, answers: dict) -> str:
        conventional_format = super().message(answers)
        return "{0} ({1})".format(conventional_format, answers["issue"].upper())


discover_this = ConventialJiraCz
